POST
/
v1
/
teams
/
{teamId}
/
content
/
background-selection
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.mediaCreation.selectBackground({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  body: {},
})
{
  "tracked": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Body

application/json
source
enum<string>
required

Provider whose download attribution is being recorded. Currently Unsplash.

Available options:
unsplash
downloadLocation
string
required

a string at most 2048 character(s) long

Maximum string length: 2048

Response

SelectBackgroundResponse

tracked
boolean
required